require_relative 'die'

module StudioGame
  module GameTurn
    def self.take_turn(player)
      die = Die.new
      number_rolled = die.roll
      case number_rolled
      when 1..2
        player.blam
      when 5..6
        player.w00t
      else
        puts "#{player.name} was skipped."
      end
    
      player.found_treasure(TreasureTrove.random)
    end
  end
end
